/**
 * XActMoodRqoPrpAptArq2.java
 *
 * File generated from the medication2::XActMoodRqoPrpAptArq2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodRqoPrpAptArq2.
 *
 * 
 */

@XmlType(name = "XActMoodRqoPrpAptArq")
@XmlEnum
@XmlRootElement(name = "XActMoodRqoPrpAptArq2")
public enum XActMoodRqoPrpAptArq2 {
	@XmlEnumValue("APT")
	APT("APT"),
	@XmlEnumValue("ARQ")
	ARQ("ARQ"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodRqoPrpAptArq2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodRqoPrpAptArq2 fromValue(String v) {
        for (XActMoodRqoPrpAptArq2 c: XActMoodRqoPrpAptArq2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
